docs

List invoices

Returns invoices, newest first. Filter by status, customer, dates and amounts.

GET
/invoices

Returns invoices, newest first. Filter by status, customer, dates and amounts.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Query Parameters

page?|

Page number (1-based)

Range1 <= value <= 2147483647
Default1
limit?|

Number of items per page

Range1 <= value <= 100
Default20
status?|array<>

One or more display statuses: draft, scheduled, open, past_due, partially_paid, paid, uncollectible, void

status[]?|array<>

One or more display statuses: draft, scheduled, open, past_due, partially_paid, paid, uncollectible, void

customerId?|

Only invoices for this customer

currency?|

Only invoices in this currency

Value in

  • "EGP"
  • "USD"
  • "EUR"
  • "GBP"
  • "SAR"
  • "AED"
  • "QAR"
  • "KWD"
  • "JOD"
  • "OMR"
  • "BHD"
  • "LYD"
  • "AUD"
  • "CAD"
  • "CNY"
overdue?|

Only invoices that are, or are not, past due

total?|

Total condition: eq:100, bt:10,100, gt:50 or lt:200

amountRemaining?|

Amount remaining condition

created?|

Created date condition: last:7,days, eq:2026-01-01 or bt:2026-01-01,2026-12-31

dueDate?|

Due date condition

issueDate?|

Issue date condition

paidAt?|

Paid date condition

paymentReceived?|

Invoices that received a payment in this period, part payments included

search?|

Search invoice number, customer name, email or phone (comma-separated terms)

sortBy?|

Field to sort by. Defaults to created.

Value in

  • "created"
  • "dueDate"
  • "total"
  • "amountRemaining"
  • "number"
sortDirection?|

Sort direction. Defaults to desc.

Value in

  • "asc"
  • "desc"
timezone?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices"
{  "data": [    {      "id": "in_3Nf8a2kLmPq9",      "object": "invoice",      "merchantId": "string",      "livemode": true,      "status": "draft",      "displayStatus": "draft",      "number": "INV-000127",      "collectionMethod": "send_invoice",      "billingReason": "manual",      "currency": "EGP",      "customerId": "string",      "customerName": "string",      "customerEmail": "string",      "customerPhone": "string",      "issueDate": "string",      "dueDate": "string",      "daysUntilDue": -9007199254740991,      "isOverdue": true,      "daysOverdue": -9007199254740991,      "total": -9007199254740991,      "amountDue": -9007199254740991,      "amountPaid": -9007199254740991,      "amountRemaining": -9007199254740991,      "statusTransitions": {},      "sentAt": "string",      "firstViewedAt": "string",      "automaticallyFinalizesAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "totalCount": 0}